#### Previous topic

scipy.special.eval_hermitenorm

#### Next topic

scipy.special.eval_sh_legendre

# scipy.special.eval_gegenbauer

`scipy.special.``eval_gegenbauer`(n, alpha, x, out=None) = <ufunc 'eval_gegenbauer'>

  Evaluate Gegenbauer polynomial at a point.

  The Gegenbauer polynomials can be defined via the Gauss hypergeometric function \({}_2F_1\) as

  \[C_n^{(\alpha)} = \frac{(2\alpha)_n}{\Gamma(n + 1)} {}_2F_1(-n, 2\alpha + n; \alpha + 1/2; (1 - z)/2).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\).

  Parameters:

  n : array_like

  > Degree of the polynomial. If not an integer, the result is determined via the relation to the Gauss hypergeometric function.

  alpha : array_like

  > Parameter

  x : array_like

  > Points at which to evaluate the Gegenbauer polynomial

  Returns:

  C : ndarray

  > Values of the Gegenbauer polynomial

  See also

  `roots_gegenbauer`
    roots and quadrature weights of Gegenbauer polynomials
  `gegenbauer`
    Gegenbauer polynomial object
  `hyp2f1`
    Gauss hypergeometric function